# $Revision: 1.13 $, $Date: 2011/02/04 18:23:37 $
Summary:	The online comic reader application for GNOME
Summary(pl.UTF-8):	Czytników komiksów online dla GNOME
Name:		buoh
Version:	0.8.2
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://buoh.steve-o.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	50474a8712ad20ab36d8f8058a4647fb
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libsoup24.patch
URL:		http://buoh.steve-o.org/
BuildRequires:	GConf2-devel >= 2.2.0
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libgnomeui-devel >= 2.6.0
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Buoh is a reader for online strips comics. It is free software,
designed to work well under the GNOME Desktop.
Buoh has a number of features, including:
- select your favorites comic through a list of more than 130 comics,
- easy, simple an eye-candy view of an online comic,
- browsing over the comic strip archives,
- saving a comic to disk,
- integration with GNOME (respecting the lockdowns and HIG
  compliance).

%description -l pl.UTF-8
Buoh jest aplikacją umożliwiającą czytanie periodycznie umieszczanych
w sieci pasków z komiksami.
Buoh posiada wiele możliwości, między innymi:
- wybór preferowanych komiksów spośród ponad 130 dostępnych,
- łatwe i proste przeglądanie komiksu,
- przeglądanie archiwum komiksu,
- zapis komiksu na dysk,
- integrację ze środowiskiem GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install buoh.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall buoh.schemas

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/buoh
%{_datadir}/buoh
%{_desktopdir}/buoh.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_sysconfdir}/gconf/schemas/buoh.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: buoh.spec,v $
Revision 1.13  2011/02/04 18:23:37  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.12  2008/03/15 18:35:19  megabajt
- updated to 0.8.2
- added -libsoup24.patch

Revision 1.11  2008-03-13 21:02:36  arekm
- rel 3

Revision 1.10  2007-02-12 21:23:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.8  2006/12/21 23:44:28  arekm
- rel 2

Revision 1.7  2005/12/03 11:16:01  paladine
- updated to 0.8.1

Revision 1.6  2005/11/16 21:29:07  paladine
- added desktop patch
- fixed BRs
- copy not move buoh64x64.png (needed in about window)
- cosmetics
- works ok, rel. 1

Revision 1.5  2005/11/16 19:18:53  zboczuch
- sort BR

Revision 1.4  2005/11/16 19:18:00  zboczuch
- BR: autotools

Revision 1.3  2005/11/16 19:10:19  zboczuch
- missing comma

Revision 1.2  2005/11/16 19:07:55  zboczuch
- added $Date: 2011/02/04 18:23:37 $ part
- hmm... adapter didn't noticed that

Revision 1.1  2005/11/16 19:06:29  zboczuch
- initial pld release

